[libvirt] [PATCH 16/16] autogen.sh: remove --no-git and --gnulib-srcdir options

Pavel Hrdina posted 16 patches 36 weeks ago

[libvirt] [PATCH 16/16] autogen.sh: remove --no-git and --gnulib-srcdir options

Posted by Pavel Hrdina 36 weeks ago
Now that we have bootstrap output stored in git there is no need for
these options.

Signed-off-by: Pavel Hrdina <phrdina@redhat.com>
---
 autogen.sh             | 38 +++-----------------------------------
 docs/compiling.html.in | 13 -------------
 2 files changed, 3 insertions(+), 48 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 78c4320af5..b705b3f298 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,40 +18,8 @@ test -f src/libvirt.c || {
     die "$0 must live in the top-level libvirt directory"
 }
 
-no_git=
-gnulib_srcdir=
-while test "$#" -gt 0; do
-    case "$1" in
-    --no-git)
-        no_git=" $1"
-        shift
-        ;;
-    --gnulib-srcdir=*)
-        gnulib_srcdir=" $1"
-        shift
-        ;;
-    --gnulib-srcdir)
-        gnulib_srcdir=" $1=$2"
-        shift
-        shift
-        ;;
-    *)
-        # All remaining arguments will be passed to configure verbatim
-        break
-        ;;
-    esac
-done
-no_git="$no_git$gnulib_srcdir"
-
 gnulib_hash()
 {
-    local no_git=$1
-
-    if test "$no_git"; then
-        echo "no-git"
-        return
-    fi
-
     # Compute the hash we'll use to determine whether rerunning bootstrap
     # is required. The first is just the SHA1 that selects a gnulib snapshot.
     # The second ensures that whenever we change the set of gnulib modules used
@@ -78,7 +46,7 @@ if test -d .git || test -f .git; then
             esac
         done
     fi
-    if test "$CLEAN_SUBMODULE" && test -z "$no_git"; then
+    if test "$CLEAN_SUBMODULE"; then
         echo "Cleaning up submodules..."
         git submodule foreach 'git clean -dfqx && git reset --hard' || {
             die "Cleaning up submodules failed"
@@ -97,7 +65,7 @@ if test -d .git || test -f .git; then
     # successful bootstrap run, is stored on disk
     state_file=.git-module-status
     expected_hash=$(cat "$state_file" 2>/dev/null)
-    actual_hash=$(gnulib_hash "$no_git")
+    actual_hash=$(gnulib_hash)
 
     if test "$actual_hash" = "$expected_hash"; then
         # The gnulib hash matches our expectations, and all the files
@@ -114,7 +82,7 @@ if test -d .git || test -f .git; then
         # run bootstrap again. If we're performing a dry run, we
         # change the return code instead to signal our caller
         echo "Running bootstrap..."
-        ./bootstrap$no_git || {
+        ./bootstrap || {
             die "bootstrap failed"
         }
         gnulib_hash >"$state_file"
diff --git a/docs/compiling.html.in b/docs/compiling.html.in
index 52fd5f5397..be1cc42189 100644
--- a/docs/compiling.html.in
+++ b/docs/compiling.html.in
@@ -80,19 +80,6 @@ $ <b>sudo</b> <i>make install</i></pre>
       disk space requirements and network download time, regardless of
       which actual commit you have in that reference directory.
     </p>
-    <p>
-      However, if you are developing on a platform where git is not
-      available, or are behind a firewall that does not allow for git
-      to easily obtain the gnulib submodule, it is possible to instead
-      use a static mode of operation where you are then responsible
-      for updating the git submodule yourself.  In this mode, you must
-      track the exact gnulib commit needed by libvirt (usually not the
-      latest gnulib.git) via alternative means, such as a shared NFS
-      drive or manual download, and run this any time libvirt.git
-      updates the commit stored in the .gnulib submodule:</p>
-    <pre>
-$ GNULIB_SRCDIR=/path/to/gnulib ./autogen.sh --no-git
-    </pre>
 
     <p>To build &amp; install libvirt to your home
       directory the following commands can be run:
-- 
2.24.1

--
libvir-list mailing list
libvir-list@redhat.com
https://www.redhat.com/mailman/listinfo/libvir-list